﻿Imports System.Data.SqlClient
Imports Syncfusion.EJ.Export
Imports Syncfusion.XlsIO
Imports Syncfusion.JavaScript.Models

Public Class POAppSum
    Inherits System.Web.UI.Page

    Dim dt As New DataTable

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        LoadRecord()
    End Sub

    Protected Sub LoadRecord()
        dt.Columns.Add("PODate", GetType(DateTime))
        dt.Columns.Add("PONbr", GetType(String))
        dt.Columns.Add("SuppName", GetType(String))
        dt.Columns.Add("Amt", GetType(Double))

        dt.Rows.Add("2016-11-01", "P0012", "ABC Pte. Ltd.", 12500)
        dt.Rows.Add("2016-11-06", "P0023", "ABC Pte. Ltd.", 480.5)
        dt.Rows.Add("2016-11-11", "P0045", "Mega Cable Pte. Ltd.", 3566.48)
        dt.Rows.Add("2016-11-12", "P0078", "Green Energy Pte. Ltd.", 100)
        dt.Rows.Add("2016-11-12", "P0079", "Water Supply Pte. Ltd.", 2350)

        Grid1.DataSource = dt
        Grid1.DataBind()
        Cache("dt") = dt
    End Sub

    Protected Sub grid1_ServerRowSelected(sender As Object, e As Syncfusion.JavaScript.Web.GridEventArgs) Handles Grid1.ServerRowSelected
        Dim selectedrowindex As Integer = Convert.ToInt32(e.Arguments("rowIndex"))
        Dim id As Integer
        Dim data As Dictionary(Of String, Object) = TryCast(e.Arguments("data"), Dictionary(Of String, Object))

        For Each keyval As KeyValuePair(Of String, Object) In data
            If keyval.Key = "PONbr" Then
                id = keyval.Value
            End If
        Next

        MsgBox(id)
    End Sub
End Class